### Function Macro

# GObject VALUE_COLLECT_INIT2

since: 2.74

#### Declaration [src]

    #define G_VALUE_COLLECT_INIT2 (
      value,
      g_vci_vtab,
      _value_type,
      var_args,
      flags,
      __error
    )

#### Description [src]

A variant of G_VALUE_COLLECT_INIT() that provides the `GTypeValueTable` to the caller.

Available since: 2.74

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `-`

  A `GValue` return location. `value` must contain only 0 bytes.

`g_vci_vtab`

  Type: `-`

  A `GTypeValueTable` pointer that will be set to the value table for `_value_type`.

`_value_type`

  Type: `-`

  The `GType` to use for `value`.

`var_args`

  Type: `-`

  The va_list variable; it may be evaluated multiple times.

`flags`

  Type: `-`

  Flags which are passed on to the `collect_value()` function of the `GTypeValueTable` of `value`.

`__error`

  Type: `-`

  A #gchar** variable that will be modified to hold a `g_new()` allocated error messages if something fails.